Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss.impl.pm.opstatus
Class OperationalStatusMonitorKeyImpl

    java.lang.Object
      com.sun.management.oss.impl.ManagedEntityKeyImpl
          com.sun.management.oss.impl.pm.opstatus.OperationalStatusMonitorKeyImpl

All Implemented Interfaces:
  java.lang.Cloneable, ManagedEntityKey, OperationalStatusMonitorKey, java.io.Serializable, SerializerFactory

public class OperationalStatusMonitorKeyImpl
extends ManagedEntityKeyImpl
implements OperationalStatusMonitorKey

Title: JSR090 Reference Implementation Description: Copyright: Copyright 2001 Ericsson Radio Systems AB Company: Ericsson

Version:
  0.2
Author:
  Andreas Jirven, Anna Eriksson, Ali Feizabadi
See Also:
  Serialized Form

Constructor Summary
`OperationalStatusMonitorKeyImpl()`

Method Summary
`java.lang.String` | `getOperationalStatusMonitorPrimaryKey()` Returns the primary key of the measurement job.
`void` | `setOperationalStatusMonitorPrimaryKey(java.lang.String key)` Sets the primary key of the measurement job.

Methods inherited from class com.sun.management.oss.impl.ManagedEntityKeyImpl
`clone, getApplicationContext, getApplicationDN, getDomain, getPrimaryKey, getSupportedSerializerTypes, getType, makeApplicationContext, makePrimaryKey, makeSerializer, setApplicationContext, setApplicationDN, setDomain, setPrimaryKey, setType, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface com.sun.management.oss.ManagedEntityKey
`clone, getApplicationContext, getApplicationDN, getPrimaryKey, getType, makeApplicationContext, makePrimaryKey, setApplicationContext, setApplicationDN, setPrimaryKey, setType`

Methods inherited from interface com.sun.management.oss.SerializerFactory
`getSupportedSerializerTypes, makeSerializer`

Constructor Detail

### OperationalStatusMonitorKeyImpl

    public OperationalStatusMonitorKeyImpl()

Method Detail

### getOperationalStatusMonitorPrimaryKey

    public java.lang.String getOperationalStatusMonitorPrimaryKey()

  Returns the primary key of the measurement job.

  Specified by:
    `getOperationalStatusMonitorPrimaryKey` in interface `OperationalStatusMonitorKey`
  Returns:
    String The primary key of the measurement job in string format.
  See Also:
    `OperationalStatusMonitorKey.setOperationalStatusMonitorPrimaryKey(java.lang.String)`

### setOperationalStatusMonitorPrimaryKey

    public void setOperationalStatusMonitorPrimaryKey(java.lang.String key)
                                               throws java.lang.IllegalArgumentException

  Sets the primary key of the measurement job.

  Specified by:
    `setOperationalStatusMonitorPrimaryKey` in interface `OperationalStatusMonitorKey`
  Parameters:
    `key` - The primary key of the measurement job in string format.
  Throws:
    `java.lang.IllegalArgumentException` - Is thrown to report that a bad argument was provided to the method.
  See Also:
    `OperationalStatusMonitorKey.getOperationalStatusMonitorPrimaryKey()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD